#
# spec file for package arpwatch-ethercodes (Version 2004.11.2)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild

Name:         arpwatch-ethercodes
BuildRequires: arpwatch-ethercodes-build
URL:          http://standards.ieee.org/regauth/oui/
License:      FSR, Other License(s), see package
Group:        Productivity/Networking/Diagnostic
Autoreqprov:  on
Summary:      Ethercodes data for arpwatch
Version:      2004.11.2
Release:      1
Source:       http://standards.ieee.org/regauth/oui/oui.txt.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
BuildArch:    noarch

%description
OUI and company ID data as fetched from IEEE.org prepared for arpwatch.



Authors:
--------
    IEEE.org


%build
pushd /usr/share/arpwatch
bzip2 -cd ${RPM_SOURCE_DIR}/oui.txt.bz2 | \
	./massagevendor >${RPM_BUILD_DIR}/ethercodes.dat
popd
if [ ! -s ethercodes.dat ]; then
	echo "File ethercodes.dat is empty!"
	exit 1
fi

%install
mkdir -p \
	$RPM_BUILD_ROOT/%{_datadir}/arpwatch
install -m 0444 ethercodes.dat $RPM_BUILD_ROOT/%{_datadir}/arpwatch

%files
%defattr(-,root,root)
%{_datadir}/arpwatch

%changelog -n arpwatch-ethercodes
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Nov 06 2004 - lmuelle@suse.de
- Change arpwatch of neededforbuild to arpwatch-ethercodes-build.
* Sat Nov 06 2004 - lmuelle@suse.de
- Ensure size of ethercodes.dat is not zero, [#48005].
* Wed Oct 06 2004 - ro@suse.de
- make package noarch
* Fri Jun 25 2004 - lmuelle@suse.de
- Initial package.
